Odoo Help

Welcome!

This community is for beginners and experts willing to share their Odoo knowledge. It's not a forum to discuss ideas, but a knowledge base of questions and their answers.

0

Please install python lib xlrd

By
Josh Stover
on 9/24/13, 6:21 PM 11,776 views

I am attempting to install the "Bank Statement Base Import" from Camp to Camp and I get this error: Please install python lib xlrd. Please help! The last file in the list is: File "C:\Program Files (x86)\OpenERP 7.0-20130909-231057\Server\server\openerp\addons\account_statement_base_import\parser\file_parser.py", line 29, in <module>

Windows server

1
Florent Boucherie
On 11/3/13, 6:57 AM

As said by Andreas, first you have to download the package from here:

pypi.python.org/pypi/xlrd/0.9.2.

Found the folder "xlrd" inside, copy it to "OpenERP 7.0-xxx\Server\server\"

Restart OERP

You can restart the installation of "Bank Statement Base Import" (it worked on my Win7)

Thank you! This method works perfect for me.

Sebastian Carullo
on 4/2/14, 11:26 AM
0

Andreas Brueckl

--Andreas Brueckl--
5056
| 7 8 7
Vienna, Austria
--Andreas Brueckl--
OpenERP Consulting and Development
Andreas Brueckl
On 9/25/13, 7:38 AM

First you have to download the package from here:

https://pypi.python.org/pypi/xlrd/0.9.2.

Since you are using Windows, the installation is not that easy. One possibility is shown here:

http://www.wikihow.com/Install-Python-Packages-on-Windows-7

Your Answer

Please try to give a substantial answer. If you wanted to comment on the question or answer, just use the commenting tool. Please remember that you can always revise your answers - no need to answer the same question twice. Also, please don't forget to vote - it really helps to select the best questions and answers!

About This Community

This community is for professionals and enthusiasts of our products and services. Read Guidelines

Question tools

0 follower(s)

Stats

Asked: 9/24/13, 6:21 PM
Seen: 11776 times
Last updated: 3/16/15, 8:10 AM